<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Mitarbeiter\KursUebersicht\Anwesenheiten;

class AnwesenheitenUseCase extends \Kufer\Web\KuferTools\Basis\AnwesenheitenKurs\AnwesenheitenUseCase
{
  public static function getToolId()
  {
    return \ToolsAPI::TOOL_KURSPLANUNG_MA; 
  }

  public static function getToolSectionId()
  {
    return 380; 
  }

  public function hasAccess($pToolSectionId = null)
  {
    if (!parent::hasAccess()) {
      return false;
    }
    
    if (!$this->isRechtAllowed('377.0.5')) {
      return false;
    }

    return true;
  }

  
  protected function isBearbeitbar()
  {
    $dbwTools = new \DBWorkTools();

    return (\SessionOperations::isDmzBetrieb() || !\SessionOperations::isReplikat() || \SessionOperations::isReplikatNichtDMZPraesentation())
         && (($dbwTools->getTool(18)->id == 18) || \DBWorkBASysSettings::isKlagenfurt())
         && $this->isRechtAllowed('380.0.1');
  }

  protected function sindAnwInZukunftBearbeitbar()
  {
    return $this->toolSettings->anwInZukunftBearbeitenErlaubt;
  }

  protected function sindAnwVonAnderenDozentenBearbeitbar()
  {
    return true;
  }
}